/* HelperExtension */

#import <Cocoa/Cocoa.h>
#import "ItemInfoStatus.h"

@interface NSObject(helperExtension_)

- (void)showFileInFinder:(NSString*)filePath;
- (BOOL)openURLWithBrowser:(NSString*)url;
- (BOOL)searchItemWithParams:(NSDictionary*)params;
- (NSDictionary*)executeAppleScript:(NSString*)script;

- (NSXMLNode*)getChildNode:(NSXMLNode*)node name:(NSString*)name;
- (NSArray*)getChildNodes:(NSXMLNode*)node;

- (void)postItemInfoDidChangedMainNotification;
- (void)postItemInfoDidChangedCloneNotification;
- (void)postItemStatusDidChangedMainNotification;
- (void)postItemStatusDidChangedCloneNotification;

@end
