/* ItemSearchField */

#import <Cocoa/Cocoa.h>

@interface ItemSearchField : NSSearchField
{

	IBOutlet id viewMain;
	
	NSString *searchFormat_;
	NSString *searchFormatAll_;
	NSMenu *searchTextMenu_;

}
- (IBAction)searchWithField:(id)sender;
- (IBAction)changeSearchFormat:(id)sender;

- (void)createSearchTextMenu;
- (void)setSearchIncremental;

- (void)clearSearchText;
- (void)setSearchFormat:(NSString *)searchFormat;
- (NSString *)searchFormat;
- (void)setSearchFormatAll:(NSString *)searchFormatAll;
- (NSString *)searchFormatAll;
@end
