/* SetupRomStatus.h */

#import <Cocoa/Cocoa.h>
#import "ProcInfoStatus.h"

@interface SetupRomStatus : NSObject
{

	IBOutlet id viewLog;
	IBOutlet id viewProcStatus;
	IBOutlet id viewPrefs;
	IBOutlet id tbArrayController;

	IBOutlet NSProgressIndicator *indProc;

	NSString *logString_;

}
- (IBAction)updateAllFileStatus:(id)sender;

- (BOOL)updateFileStatus:(NSArray*)items
						keyRomId:(NSString*)keyRomId
						isParent:(BOOL)isParent
						isUpdateDefault:(BOOL)isUpdateDefault;
- (BOOL)updateFileStatusWithItems:(NSArray*)items
						keyRomId:(NSString*)keyRomId
						isParent:(BOOL)isParent
						isUpdateDefault:(BOOL)isUpdateDefault
						showSum:(BOOL)showSum
						showDetail:(BOOL)showDetail
						showProc:(BOOL)showProc
						isClose:(BOOL)isClose;
- (void)handleProcStatusChanged:(int)status;

- (void)setLogString:(NSString*)logString;
- (NSString*)logString;
- (void)appendLogString:(NSString*)logString;

@end
