/* TableColumnExtension */

#import <Cocoa/Cocoa.h>
#import "TableColumnManager.h"
#import "UserDefaultsStatus.h"

@interface NSObject(tableColumnExtension_)

- (void)setColumnState:(TableColumnManager*)tcc sender:(id)sender;
- (void)showTableColumns:(TableColumnManager*)tcc
				aTableView:(NSTableView*)aTableView
				defaultHideCols:(NSArray*)defaultHideCols
				key:(NSString*)key;
- (BOOL)isShowColumnState:(TableColumnManager*)tcc identifier:(NSString*)identifier;

- (void)setColumnDescriptionHeaderTitle:(NSTableView*)aTableView langType:(int)langType;
- (void)setColumnDescriptionSortDescriptor:(NSTableView*)aTableView
							aController:(NSArrayController*)aController
							langType:(int)langType;

@end
