/* ThumbsExtension */

#import <Cocoa/Cocoa.h>

@interface NSObject(thumbsExtension_)
	
- (NSString*)getThumbsImagePath:(NSString*)romId
						imageType:(int)imageType
						fileIndex:(int)fileIndex
						maxIndex:(int*)maxIndex;
- (NSString*)getThumbsImagePathWithFolder:(NSString*)romId
								folderPath:(NSString*)folderPath
								fileIndex:(int)fileIndex
								maxIndex:(int*)maxIndex;

- (NSImage*)getThumbsImage:(NSString*)filePath hasImage:(BOOL*)hasImage;

- (NSMutableArray*)sortFolderFiles:(NSArray*)files;
- (NSArray*)thumbsImageTypeMenuItems;

@end
