#import <Cocoa/Cocoa.h>
#import "ImageItem.h"
#import "ImageItemStatus.h"
#import "ItemInfoStatus.h"
#import "SliderInfoStatus.h"

@interface ThumbsMatrixCell : NSImageCell
{

	id itemObject_;
	int itemIndex_;
	ImageItem *imageItem_;

	NSString *romId_;
	BOOL isEnabled_;
	BOOL isSelected_;

}
- (id)initWithItemObject:(id)itemObject
				itemIndex:(int)itemIndex
				isEnabled:(BOOL)isEnabled;

- (void)createImageItem:(id)itemObject image:(NSImage*)image isCheck:(BOOL)isCheck;
- (void)reloadImageItem:(BOOL)isCheck;

- (void)setItemObject:(id)itemObject;
- (id)itemObject;

- (void)setImageItem:(ImageItem*)imageItem;
- (ImageItem*)imageItem;

- (void)setRomId:(NSString*)romId;
- (NSString*)romId;

- (void)setItemIndex:(int)itemIndex;
- (int)itemIndex;

- (void)setIsEnabled:(BOOL)isEnabled;
- (BOOL)isEnabled;
- (void)setIsSelected:(BOOL)isSelected;
- (BOOL)isSelected;

@end
