/* ViewGallery */

#import <Cocoa/Cocoa.h>
#import "GalleryMatrix.h"
#import "GalleryWindow.h"
#import "RoundedView.h"
#import "BindObjectTypes.h"
#import "WindowInfoStatus.h"
#import "MAMETypes.h"

@interface ViewGallery : NSObject
{

	IBOutlet id viewClone;
	IBOutlet id viewItemInfo;
	IBOutlet id executeMAME;

	IBOutlet id tbArrayController;
	IBOutlet NSArrayController *romlistArrayController;
	
    IBOutlet GalleryMatrix *galleryMatrix;
    IBOutlet GalleryWindow *galleryWindow;
    IBOutlet RoundedView *roundedView;
	IBOutlet NSButton *btnClose;

	id itemObject_;
	BOOL isPlay_;

}
- (IBAction)openGalleryWindow:(id)sender;
- (IBAction)closeGalleryWindow:(id)sender;
- (IBAction)changeGalleryWindow:(id)sender;
- (IBAction)playItem:(id)sender;

- (void)playSelectedItem;

- (void)setItemObject:(id)itemObject;
- (id)itemObject;
- (void)setIsPlay:(BOOL)isPlay;
- (BOOL)isPlay;
- (BOOL)isVisibleWindow;
- (BOOL)isNotVisibleWindow;
- (BOOL)isKeyWindow;

@end
