/* ViewKeywordSetting */

#import <Cocoa/Cocoa.h>
#import "PlaylistItemTypes.h"

@interface ViewKeywordSetting : NSObject
{
	
	IBOutlet NSWindow *keywordSettingWindow;
	IBOutlet NSTextField *txtKeyword;
	IBOutlet NSPopUpButton *btnSearchColumns;

	IBOutlet id viewPlaylist;
	IBOutlet id tbArrayController;

	NSString *uniqueId_;
	BOOL isNewList_;
}
- (IBAction)openKeywordSettingWindow:(id)sender;
- (IBAction)openKeywordNewSettingWindow:(id)sender;
- (IBAction)openKeywordEditSettingWindow:(id)sender;
- (IBAction)closeWindow:(id)sender;

- (IBAction)changeKeywordSetting:(id)sender;

- (BOOL)createKeywordSettingWindow:(BOOL)isNewList
							uniqueId:(NSString*)uniqueId
							keyword:(NSString*)keyword
							value:(NSString*)value;
- (BOOL)updatePlaylist:(NSString*)uniqueId title:(NSString*)title value:(NSString*)value;

- (void)setUniqueId:(NSString*)uniqueId;
- (NSString*)uniqueId;

- (void)setIsNewList:(BOOL)isNewList;
- (BOOL)isNewList;

@end
