/* ViewProcStatus */

#import <Cocoa/Cocoa.h>

@interface ViewProcStatus : NSObject
{
	IBOutlet NSWindow *procStatusWindow;
	IBOutlet NSTextField *txtTargetName;
	IBOutlet NSTextField *txtProcStatus;
	IBOutlet NSProgressIndicator *progProcStatus;

	int totalCount_;
	BOOL showCount_;

	NSTimer *closeTimer_;

}
- (IBAction)openProcStatusWindow:(id)sender;
- (IBAction)closeProcStatusWindow:(id)sender;

- (void)initProcStatus:(NSString*)title
					targetName:(NSString*)targetName
					procCount:(int)procCount
					totalCount:(int)totalCount
					showCount:(BOOL)showCount
					isOpen:(BOOL)isOpen;
- (void)updateProcStatus:(int)procCount
					targetName:(NSString*)targetName;
- (void)updateTargetName:(NSString*)targetName;
- (void)closeProcStatus:(BOOL)withTimer;

- (void)closeProcStatusWindowWithTimer;

- (void)setTotalCount:(int)totalCount;
- (int)totalCount;
- (void)setShowCount:(BOOL)showCount;
- (BOOL)showCount;
- (void)setCloseTimer:(NSTimer*)closeTimer;
- (void)clearCloseTimer;
- (NSTimer*)closeTimer;

@end
