/* FileAttributeExtension */

#import <Cocoa/Cocoa.h>
#import "FileAttributeStatus.h"

@interface NSObject(fileAttributeExtension_)
	
- (int)checkFileExist:(NSString*)filePath;
- (int)checkRomExist:(NSString*)romId;
- (NSString*)createCurrentRomPath:(NSString*)romId;
- (NSString*)createRomPath:(NSString*)romId folderPath:(NSString*)folderPath;
- (NSString*)createRomFilePath:(NSString*)romId folderPath:(NSString*)folderPath;
- (NSString*)createRomFolderPath:(NSString*)romId folderPath:(NSString*)folderPath;

- (NSMutableDictionary *)getFileAttribute:(NSString*)filePath;
- (NSString*)getFileTypeName:(NSString*)filePath;
- (NSString*)resolveAliasFileWithPath:(NSString*)path;

- (int)checkFileIsCollect:(NSString*)filePath fileType:(NSString*)fileType;
- (int)checkAndCreateFolder:(NSString*)filePath;

- (BOOL)createNewDirectory:(NSString*)filePath;
- (BOOL)createNewFileWithString:(NSString*)filePath string:(NSString*)string;
- (NSDictionary*)createfileAttbDict;
- (NSString*)deleteLastString:(NSString *)str delStr:(NSString*)delStr isDel:(BOOL*)isDel;

@end
