#import <Cocoa/Cocoa.h>
#import "ImageItemStatus.h"

@interface ImageItem : NSObject
{
	NSImage *image_;
	NSMutableData *imageData_;
	NSURLConnection *connection_;
	int notifType_;
}
- (id)initWithFilePath:(NSString*)filePath
				image:(NSImage*)image
				notifType:(int)notifType;

- (BOOL)createConnection:(NSString*)filePath;
- (void)cancelConnection;

- (void)notifyImageItemDidLoad:(ImageItem*)item;

- (void)setConnection:(NSURLConnection*)connection;
- (NSURLConnection*)connection;

- (void)setImage:(NSImage*)image;
- (NSImage*)image;

@end
