/* MAMEAttributeExtension */

#import <Cocoa/Cocoa.h>
#import "MAMETypes.h"

@interface NSObject(mameSettingsExtension_)

- (NSMutableArray*)createSdlMameArguments;
- (NSMutableArray*)createMameOSXArguments;

- (NSString*)createBezelFilePath:(NSString*)parentId
							romId:(NSString*)romId
							bezelParams:(NSDictionary*)bezelParams;
- (NSImage*)createBezelPreviewImage:(NSString*)romId
							bezelParams:(NSDictionary*)bezelParams
							showSubImage:(BOOL)showSubImage
							imageType:(int)imageType
							bezelAlpha:(float)bezelAlpha;
- (NSMutableArray*)getBezelTemplateItems:(NSString*)string
								logString:(NSString**)logString
								isSuccess:(BOOL*)isSuccess;
- (NSMutableDictionary*)getBezelTemplateParams:(NSString*)string
									isSuccess:(BOOL*)isSuccess;
- (NSDictionary*)getDriverStatusParams:(NSString*)string;

- (NSArray*)getBezelMenuItems;

@end
