#import "ManufactureTransformer.h"
#import "ConvertExtension.h"

@implementation ManufactureTransformer

+ (void)load
{
	[self setValueTransformer:[[ManufactureTransformer alloc] init] forName:@"ManufactureTransformer"];

}

+ (Class)transformedValueClass
{
    return [NSString self];
}

+ (BOOL)allowsReverseTransformation
{
    return NO;
}

- (id)transformedValue:(id)object
{
//	return nil;

    if (object == nil) return nil;

	// get defaultSet
	BOOL isClone;
	id defaultSet = [self getDefaultRomSet:object isClone:&isClone];

	return [defaultSet valueForKey:@"manufacture"];

}
@end