/* MenuSelectCategory */

#import <Cocoa/Cocoa.h>
#import "CategoryTypes.h"

@interface MenuSelectCategory : NSMenu
{

	IBOutlet id viewCategory;
	IBOutlet NSButton *btnMenu;

	int categoryNo_;

}
- (IBAction)changeCategoryNo:(id)sender;
- (IBAction)changeCategoryOption:(id)sender;
- (IBAction)nullAction:(id)sender;

- (void)createMenuItem;
- (void)updateMenuItem;
- (NSArray*)menuItems;

- (NSString*)getOptionTitle:(int)no;
- (NSString*)getDefaultKey:(int)no;

@end
