#import <Cocoa/Cocoa.h>
#import "ItemInfoStatus.h"

@interface PreviewImageView : NSImageView
{
	IBOutlet NSArrayController *targetArrayController;

	IBOutlet NSBox *boxImageIndex;
	IBOutlet NSButton *btnImageNext;
	IBOutlet NSButton *btnImageBack;

	BOOL isExist_;
	BOOL hasImage_;

	NSString *romId_;
	int fileIndex_;
	int maxIndex_;

}
- (IBAction)playItem:(id)sender;
- (IBAction)changeImageIndex:(id)sender;
- (IBAction)showImageInFinder:(id)sender;
- (IBAction)changeBackGroundImage:(id)sender;
- (IBAction)nullAction:(id)sender;

- (void)selectImageIndex:(int)tag;
- (void)changeImageViewWithArray;
- (void)createImageView:(NSString*)romId fileIndex:(int)fileIndex;
- (void)setButtonImageIndexEnabled;
- (void)setBoxImageIndexHidden;

- (void)setIsExist:(BOOL)isExist;
- (BOOL)isExist;
- (void)setHasImage:(BOOL)hasImage;
- (BOOL)hasImage;

- (void)setRomId:(NSString*)romId;
- (NSString*)romId;
- (BOOL)hasRomId;

- (void)setFileIndex:(int)fileIndex;
- (int)fileIndex;
- (void)setMaxIndex:(int)maxIndex;
- (int)maxIndex;
- (BOOL)isDisplay;
@end
