/* SearchExtension */

#import <Cocoa/Cocoa.h>

@interface NSObject(searchExtension_)

- (NSString*)getSearchColumnTitle:(NSString*)column items:(NSArray*)items;
- (NSString*)createSearchFormat:(NSString*)column
						items:(NSArray*)items
						title:(NSString**)title;
- (NSString*)createSearchFormatAll:(NSArray*)items;
- (NSPredicate*)createSearchStringPred:(NSString*)searchString
					searchFormatString:(NSString*)searchFormatString;
- (NSArray*)searchColumnItems;

@end
